# AddTerminalCommand
## datablock example

<pre>
{
 "Type": 10024, // or "AddTerminalCommand"
 "LocalIndex": 0,
 "Dimension": 0,
 "Layer": 0,
 "AddTerminalCommand": {
   "TerminalIndex": 0, // first terminal in zone
   "CommandNumber": 6, // custom command number
   "Command": "UNIQUECOMMAND6",
   "CommandDesc": "Command defined with AWO 10024 AddTerminalCommand", // not using TextDB localization so give it a "string" not a number. sorry.
   "PostCommandOutputs": [
     {
       "LineType": 0,
       "Output": "Line 1 of output",
       "Time": 0.0
     },
     {
       "LineType": 0,
       "Output": "Line 2 of output",
       "Time": 3.0
     }
   ],
   "CommandEvents": [
     {
       "Type": 0,
       "LocalIndex": 0,
       "Layer": 0,
       "WardenIntel": "IT WORKS"
     }
   ],
   "SpecialCommandRule": 0
 }
}
</pre>

# HideTerminalCommand
## datablock example:

<pre>
{
 "Type": 10025, // or "HideTerminalCommand"
 "LocalIndex": 0,
 "Dimension": 0,
 "Layer": 0,
 "WardenIntel": "Command has been hidden"
 "HideTerminalCommand": {
   "TerminalIndex": 0, // first terminal in zone
   "CommandNumber": 6, // custom command number
   "CommandEnum": 22 // ReactorStartup
 }
}
</pre>

this time around, you can use commandnumber x = 1-2147483647, and uniquecommandX will be hidden. OR, you can define CommandEnum other than 0, then only that command is hidden.

# UnhideTerminalCommand
## datablock example 

<pre>
{
 "Type": 10026, // or "UnhideTerminalCommand"
 "LocalIndex": 0,
 "Dimension": 0,
 "Layer": 0,
 "WardenIntel": "Command is visible"
 "UnhideTerminalCommand": {
   "TerminalIndex": 0, // first terminal in zone
   "CommandNumber": 6, // custom command number
   "CommandEnum": 22 // ReactorStartup
 }
}
</pre>

Same as HideTerminalCommand. CommandEnum wins
